Subject: bug#55388: 28.1; New libraries that neither belong to a package nor provide a feature

From: Stefan Kangas <[email-masked]>
Date: Tue, 28 Jun 2022 14:37:41 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Jonas Bernoulli <[email-masked]> writes:
>
>> "lisp/emacs-lisp/shorthands.el" doesn't provide a feature and lacks
>> a "Package" library header.  I think "Package: emacs" should be added.

The same is true for smie.el, syntax.el, tabulated-list.el, testcover.el
and possibly others.  Should they have such a header as well?

>> Like other files in that directory "lisp/leim/quail/cham.el" neither
>> provides a feature nor is it explicitly made part of a package.  Would
>> it make sense to add ("leim" . emacs) to `finder--builtins-alist'?
>
> Are all .el files supposed to have either a Package: header or a
> `provides' these days?  I wasn't aware of that...
>
> Hm...  I see that Chong did something like that with all the preloaded
> .el files in bd78fa1d544, so I guess that's true?

It seems like it's not consistent.  What do we use such a header for?